Bug 995228 - Qucs gives different voltage values to the same circuit using ohms and siemens
Qucs gives different voltage values to the same circuit using ohms and siemens
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qucs (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 15:24 EDT by Brallan Jesús Aguilar Rivera
Modified: 2016-01-31 20:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:39:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diagram using ohm units (2.35 KB, text/plain)
2013-08-08 15:24 EDT, Brallan Jesús Aguilar Rivera
no flags Details
Diagram using siemens units (2.33 KB, text/plain)
2013-08-08 15:26 EDT, Brallan Jesús Aguilar Rivera
no flags Details

  None (edit)
Description Brallan Jesús Aguilar Rivera 2013-08-08 15:24:45 EDT
Created attachment 784567 [details]
Diagram using ohm units

Description of problem:
I do a circuit simulation with resistors, dependent and independent current sources. I perform two identical diagrams, but one use siemens and the other one use ohms. I compute correct conversions between siemens and ohms. The problem is I'm getting different voltage values to the same nodes.

Version-Release number of selected component (if applicable): 
0.0.17


How reproducible:
Create diagrams like attached

Steps to Reproduce:
1. Use dependent and independent current sources and resistors in ohms and siemens
2.
3.

Actual results:
I'm getting different voltage values to the same electrical devices

Expected results:
Getting the same voltage node values

Additional info:
See attachments
Comment 1 Brallan Jesús Aguilar Rivera 2013-08-08 15:26:29 EDT
Created attachment 784568 [details]
Diagram using siemens units

It gives INCORRECT voltage values. The correct are given using resistors with ohm units
Comment 2 Jaromír Cápík 2013-08-09 08:41:54 EDT
Hello Brallan.

AFAIK Qucs never supported conductance and Siemens units. I see you set the resistivity as R = 4S, etc. But that's an invalid input. First of all, the conductance is well known to be marked as G, not R. And the next thing is the field description. It clearly says : 'ohmic resistance in Ohms'. What might be considered a bit confusing is that you get no warning about the invalid input. It simply ignores the appended unit and takes only the numeric part.

I believe there should be validity checks added to the functions processing the input fields.

Please, let me know what you think.

Regards,
Jaromir.
Comment 3 Brallan Jesús Aguilar Rivera 2013-08-09 14:45:57 EDT
In Qucs' getstarted tutorial, page 15 appear same you commented before (I had not seen :s), but also 'Allowed property values' where include siemens. Sorry, but is a little confusing 

:)
Comment 4 Fedora End Of Life 2015-01-09 14:21:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:39:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.